Page MenuHomePhabricator

Fix or delete failing Echo browsertests Jenkins jobs
Closed, ResolvedPublic

Event Timeline

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin raised the priority of this task from to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 11:14 AM
zeljkofilipin set Security to None.

If you have time available to help fixing it, we would appreciate it. When did it start failing?

It would be good to fix these up. I set them up as Echo had no tests whatsoever and it would be good to have confidence the feature is working.

Feel fee to reach out to Release-Engineering-Team team if you need help. I am working on browser tests this week. From next week I will be available on Fridays. Also, I have proposed Workshop: Fix broken browsertests/Selenium Jenkins jobs (T94299) for this year's hackathons.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 2:13 PM
zeljkofilipin renamed this task from Delete or fix failed Echo browsertests Jenkins job to Fix failed Echo browsertests Jenkins job.Mar 30 2015, 2:14 PM
zeljkofilipin moved this task from Ruby to Inbox on the Browser-Tests-Infrastructure board.

Change 201083 had a related patch set uploaded (by Hashar):
Notify Collaboration team of failing browser tests

https://gerrit.wikimedia.org/r/201083

Change 201083 merged by jenkins-bot:
Notify Collaboration team of failing browser tests

https://gerrit.wikimedia.org/r/201083

hashar added a comment.Apr 2 2015, 9:10 AM

The browser tests for Echo now send email notifications to each developers of the collaboration team. That should helps raising awareness about failures.

zeljkofilipin renamed this task from Fix failed Echo browsertests Jenkins job to Fix or delete failing Echo browsertests Jenkins jobs.Sep 25 2015, 1:35 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin reopened this task as Open.
zeljkofilipin moved this task from Done to Waiting on the Browser-Tests-Infrastructure board.
zeljkofilipin removed a subscriber: gerritbot.

These will all be rewritten due to the rewrite of the Echo frontend.

@Mattflaschen should we delete the jobs? We can easily restore them once they are green again.

Let's keep them for now, since @Mooeypoo is actively working on the rewrite.

zeljkofilipin closed this task as Resolved.Feb 10 2016, 2:31 PM
zeljkofilipin claimed this task.

Echo browser test jobs are now back to green: https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo/

Change 271533 had a related patch set uploaded (by Zfilipin):
Fix Cucumber tags for Selenium tests

https://gerrit.wikimedia.org/r/271533

Change 271533 merged by jenkins-bot:
Fix Cucumber tags for Selenium tests

https://gerrit.wikimedia.org/r/271533